=== debian/changelog ===
ghdl (0.37+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update watchfile to ignore date tags
  * Switch to GCC/GNAT 10. Thanks to Ludovic Brenta (Closes: #970660)
  * Allow builds with LLVM 11 (Closes: #976233)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 05 Dec 2020 13:36:28 +0000

ghdl (0.37+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Frédéric Bonnard ]
  * Really fix FTBFS on ppc64* (Closes: #907170)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 17 May 2020 10:07:15 +0100

ghdl (0.37+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    * Refresh modify-install-paths
    * Remove patch allowing LLVM 8 (upstreamed)
    * Fixes build with LLVM 9 (Closes: #952110)
    * Update wrapper for newer releases. Thanks to Pavel Pisa (Closes: #930890)
  * Switch to GCC 9 (Closes: #944181)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 06 Apr 2020 11:57:15 +0100

ghdl (0.35+git20181129+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Allow building with LLVM 8+. Patch thanks to Logan Rosen (Closes: #923190)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Sep 2019 18:05:58 +0100
