=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$//, repacksuffix=+dfsg, \
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ghdl-$1.tar.gz%" \
    https://github.com/ghdl/ghdl/releases \
    (?:.*?/)?v?(\d*\.[\d.]*)\.tar\.gz debian uupdate
