=== debian/changelog ===
ghdl (0.37+dfsg2-2) unstable; urgency=medium

  * Add Breaks+Replaces ghdl (<< 0.37+dfsg2) on ghdl-common (Closes: #981576)
  * Do not install LICENSE file into /usr/lib/ghdl/src/ieee2008

 -- Andreas Bombe <aeb@debian.org>  Wed, 03 Feb 2021 02:40:10 +0100

ghdl (0.37+dfsg2-1) unstable; urgency=medium

  * Repack as 0.37+dfsg2
    * Add exclusion of some testsuite files in DFSG repack
    * Stop excluding libraries/ieee and libraries/ieee2008 in DFSG repack as
      they are now under a DFSG-free license (Apache 2.0)
    * Use the now DFSG-free IEEE libraries instead of GHDL's OpenIEEE
      substitute (Closes: #929656)
    * Add patch remove-vital-from-build to account for libraries removed in
      repack
    * Expand dversionmangle in d/watch to remove numbers after "+dfsg"
  * Introduce ghdl-common package to avoid a circular dependency
    (Closes: #916485)
    * Remove Multi-Arch: same on the ghdl package for now
  * Install all docs in ghdl-common and make other doc directories symlinks
  * Update copyright years in d/copyright
  * Add copyright and licensing for the testsuite to d/copyright
  * Disable building libghdl for now
  * Remove spelling-error lintian overrides for "Synopsys"
  * Point d/watch at releases/latest on GitHub to pick up the correct release
  * Increase debhelper compat level to 13
  * Bump Standards-Version to 4.5.1

 -- Andreas Bombe <aeb@debian.org>  Fri, 29 Jan 2021 15:46:02 +0100
