=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                gnat-10,
                gcc-10-source <!pkg.ghdl.nogcc>,
                libisl-dev (>= 0.14) <!pkg.ghdl.nogcc>,
@@ -13,7 +13,7 @@
                llvm-dev (>= 1:3.5) <!pkg.ghdl.nollvm>,
                clang (>= 1:3.5) <!pkg.ghdl.nollvm>,
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ghdl/ghdl
 Vcs-Browser: https://salsa.debian.org/electronics-team/ghdl/ghdl
 Vcs-Git: https://salsa.debian.org/electronics-team/ghdl/ghdl.git
@@ -21,8 +21,8 @@
 
 Package: ghdl
 Architecture: any
-Multi-Arch: same
-Depends: ghdl-mcode [any-i386 any-amd64] <!pkg.ghdl.nomcode>
+Depends: ghdl-common (= ${binary:Version}),
+         ghdl-mcode [any-i386 any-amd64] <!pkg.ghdl.nomcode>
          | ghdl-gcc <!pkg.ghdl.nogcc>
          | ghdl-llvm <!pkg.ghdl.nollvm>,
          ${misc:Depends}
@@ -47,13 +47,26 @@
  by providing a GHDL_BACKEND environment variable (containing gcc, llvm or
  mcode) while invoking ghdl.
  .
- This package contains the common files for all backends and requires at least
- one backend to be installed.
+ This package is a dependency package that will make sure at least one backend
+ is installed.
+
+Package: ghdl-common
+Architecture: any
+Depends: ${misc:Depends}
+Breaks: ghdl (<< 0.37+dfsg2)
+Replaces: ghdl (<< 0.37+dfsg2)
+Description: VHDL compiler/simulator (common files)
+ GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
+ GHDL is not an interpreter: it allows you to analyse and elaborate sources to
+ generate machine code from your design. Native program execution is the only
+ way for high speed simulation.
+ .
+ This package contains common files for the GHDL compiler packages.
 
 Package: ghdl-mcode
 Architecture: any-i386 any-amd64
 Build-Profiles: <!pkg.ghdl.nomcode>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: VHDL compiler/simulator (mcode backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
  GHDL is not an interpreter: it allows you to analyse and elaborate sources to
@@ -65,7 +78,7 @@
 Package: ghdl-gcc
 Architecture: any
 Build-Profiles: <!pkg.ghdl.nogcc>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 	zlib1g-dev
 Description: VHDL compiler/simulator (GCC backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
@@ -78,7 +91,7 @@
 Package: ghdl-llvm
 Architecture: any
 Build-Profiles: <!pkg.ghdl.nollvm>
-Depends: ghdl (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+Depends: ghdl-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 	zlib1g-dev
 Description: VHDL compiler/simulator (LLVM backend)
  GHDL is a compiler and simulator for VHDL, a Hardware Description Language.
