=== debian/rules ===
--- 
+++ 
@@ -47,8 +47,8 @@
 %:
 	dh ${@}
 
-override_dh_missing:
-	dh_missing --list-missing
+override_dh_installdocs:
+	dh_installdocs --link-doc=ghdl-common
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR)/mcode $(BUILDDIR)/llvm $(BUILDDIR)/gcc
@@ -60,7 +60,7 @@
 		cd $(BUILDDIR)/mcode; \
 		../../configure --srcdir=../.. --prefix=/usr \
 			--libdir=lib/ghdl/mcode --incdir=lib/ghdl/include \
-			--enable-openieee; \
+			--disable-libghdl; \
 	fi
 	@echo
 	@echo ------------------------------------------------------------
@@ -70,7 +70,8 @@
 		cd $(BUILDDIR)/llvm; \
 		../../configure --srcdir=../.. --prefix=/usr \
 			--libdir=lib/ghdl/llvm --incdir=lib/ghdl/include \
-			--enable-openieee --with-llvm-config; \
+			--disable-libghdl \
+			--with-llvm-config; \
 	fi
 	@echo
 	@echo ------------------------------------------------------------
@@ -90,7 +91,8 @@
 		debian/rules patch; \
 		../../configure --srcdir=../.. --prefix=/usr \
 			--libdir=lib/ghdl/gcc --incdir=lib/ghdl/include \
-			--enable-openieee --with-gcc=src; \
+			--disable-libghdl \
+			--with-gcc=src; \
 		make copy-sources; \
 		mkdir gccbuild; \
 		cd gccbuild; \
@@ -174,3 +176,4 @@
 		mv debian/tmp/usr/lib/ghdl/gcc/vhdl/src debian/tmp/usr/lib/ghdl; \
 		ln -s ../../src debian/tmp/usr/lib/ghdl/gcc/vhdl/src; \
 	fi
+	$(RM) debian/tmp/usr/lib/ghdl/src/ieee2008/LICENSE
